%define module  six

Name:           python-%{module}
Version:        1.10.0
Release:        %mkrel 2
Summary:        Python 2 and 3 compatibility utilities
Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/six/
Source0:        http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
# For use by selftests:
BuildRequires:  pythonegg(2)(pytest)
BuildRequires:  python-pkg-resources
BuildRequires:  tkinter

%description
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%package -n     python3-%{module}
Summary:        Python 2 and 3 compatibility utilities / Python 3 library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
# For use by selftests:
BuildRequires:  pythonegg(3)(pytest)
BuildRequires:  python3-pkg-resources
BuildRequires:  tkinter3

%description -n python3-%{module}
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%prep
%setup -q -n %{module}-%{version}
cd ..
cp -fr %{module}-%{version} python3
cd -

%build
%py2_build

cd ../python3
%py3_build
cd -

%install
%py2_install

cd ../python3
%py3_install
cd -

%check
%define enable_tests_python2 1
%if %{enable_tests_python2}
py.test-%{python2_version} -rfsxX test_six.py
%endif
%define enable_tests_python3 0
%if %{enable_tests_python3}
cd ../python3
py.test-%{python3_version} -rfsxX test_six.py
cd -
%endif

%files
%doc LICENSE README documentation/index.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README documentation/index.rst
%{python3_sitelib}/*


%changelog
* Sun Jan 08 2017 daviddavid <daviddavid> 1.10.0-2.mga6
+ Revision: 1080665
- rebuild against python(3)-pytest

* Thu Dec 17 2015 daviddavid <daviddavid> 1.10.0-1.mga6
+ Revision: 911290
- new version: 1.10.0
- improve tests in %%check section

* Wed Oct 07 2015 tv <tv> 1.9.0-2.mga6
+ Revision: 886955
- disable python3 testsuite
- rebuild for python 3.5

  + daviddavid <daviddavid>
    - use new python macros

* Sun Aug 30 2015 fwang <fwang> 1.9.0-1.mga6
+ Revision: 871280
- 1.9.0

* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-4.mga5
+ Revision: 744504
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.3-3.mga5
+ Revision: 727912
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-2.mga5
+ Revision: 688336
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 philippem <philippem> 1.7.3-1.mga5
+ Revision: 674116
- update to 1.7.3

* Sat May 31 2014 pterjan <pterjan> 1.6.1-2.mga5
+ Revision: 629015
- Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 1.6.1-1.mga5
+ Revision: 610679
- forget to add file
- update to 1.6.1 to fix keystone client installation

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 544150
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.1-2.mga4
+ Revision: 499384
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 fwang <fwang> 1.4.1-1.mga4
+ Revision: 490201
- new version 1.4.1

* Sat Jun 08 2013 fwang <fwang> 1.3.0-2.mga4
+ Revision: 440593
- add more br
- build python3 flavour

* Sat Jun 08 2013 fwang <fwang> 1.3.0-1.mga4
+ Revision: 440426
- imported package python-six

